// patch : HALBAZ.DLG


//
// ALTER -- change existed states
/////////////////////////////////


// Default dialog

SET_WEIGHT ~HALBAZ~ 0 #4 // to end

EXTEND_BOTTOM ~HALBAZ~ 0
	+~Global("M8MakeRobe","LOCALS",0)~+ @10 /* ~        ?~ */ + robe_ex
	+~
		Global("M8MakeRobe","LOCALS",1)
		PartyGoldGT(9999)
		PartyHasItem("clck09")
		PartyHasItem("clck10")
		PartyHasItem("clck11")
		PartyHasItem("clck12")
		PartyHasItem("clck13")
		PartyHasItem("clck14") 
	~+ @11 /* ~       ~ */ + robe_bld
	+~
		Global("M8MakeClsk","LOCALS",0)
		PartyHasItem("misc2o")
	~+ @12 /* ~,    .     ?~ */ + clsk_ex
	+~
		GlobalGT("M8MakeClsk","LOCALS",3)
		PartyHasItem("misc2o")
	~+ @13 /* ~, ,    ...~ */ + clsk_trade
END

SET_WEIGHT ~HALBAZ~ 1 #3

ADD_STATE_TRIGGER ~HALBAZ~ 1 ~Global("M8MakeNimph","LOCALS",0)~


//
// Deal about hair

ADD_TRANS_ACTION ~HALBAZ~ BEGIN 2 END BEGIN 0 END ~SetGlobal("M8MakeNimph","LOCALS",4)~

ADD_TRANS_ACTION ~HALBAZ~ BEGIN 3 8 END BEGIN 0 END ~SetGlobal("M8MakeNimph","LOCALS",1)~
ADD_TRANS_ACTION ~HALBAZ~ BEGIN 9 END BEGIN 1 END ~SetGlobal("M8MakeNimph","LOCALS",1)~

SET_WEIGHT ~HALBAZ~ 8 #2

ADD_STATE_TRIGGER ~HALBAZ~ 8 ~PartyHasItem("MISC51") Global("M8MakeNimph","LOCALS",1)~



//
// Build Any items (buzy)...

SET_WEIGHT ~HALBAZ~ 6 #0 

ADD_STATE_TRIGGER ~HALBAZ~ 6 ~GlobalTimerNotExpired("M8Make","LOCALS")~


//
// Check for steal nimph cloack


REPLACE ~HALBAZ~ 
	IF ~~ THEN BEGIN 4
		SAY @60 /* ~  !         .        ,    .  ,    ...~ */
		IF ~HasItem("clck07", Myself)~ GOTO clnf_std
		IF ~!HasItem("clck07", Myself)~ GOTO clnf_ex
	END
END


//
// cloack ready

SET_WEIGHT ~HALBAZ~ 5 #1

ADD_STATE_TRIGGER ~HALBAZ~ 5 ~GlobalTimerExpired("M8Make","LOCALS") Global("M8MakeNimph","LOCALS",2)~

ALTER_TRANS ~HALBAZ~ BEGIN 5 END BEGIN 0 END
BEGIN
	~ACTION~
		~
			GiveItemCreate("CLCK07",LastTalkedToBy,0,0,0) 
			SetGlobal("M8MakeNimph", "LOCALS", 3)
		~
END




//
// APPEND -- change existed states
/////////////////////////////////


APPEND ~HALBAZ~

// unset

IF WEIGHT #0 ~GlobalGT("M8MakeNimph","LOCALS",3)~ BEGIN unset
	SAY @61 /* ~   ,         a. .~ */
	+~PartyGoldGT(299)~+ @62 /* ~        .     ,     300 .~ */
		DO ~
			TakePartyGold(300)
			SetGlobal("M8MakeNimph", "LOCALS", 1)
		~  + unset1
	++ @63 /* ~.~ */ EXIT
END

IF ~~ BEGIN unset1
	SAY @64 /* ~   , . ,        .~ */
	IF ~PartyHasItem("MISC51")~ GOTO unset2
	IF ~!PartyHasItem("MISC51")~ GOTO unset3
END

IF ~~ BEGIN unset2
	SAY @65 /* ~,   ,      .~ */
	IF ~~ GOTO 9
END

IF ~~ BEGIN unset3
	SAY @66 /* ~    , -    ... -... ?~ */
	= 
	@67 /* ~    ,     .  -     ,      .   .~ */
	IF ~~ EXIT
END



//
// nimph cloack ext
//

IF ~~ BEGIN clnf_std
	SAY @68 /* ~  ,  .  ,   ?~ */
	IF ~~ DO ~
		TakePartyItem("MISC51")
		GiveItem("CLCK07",LastTalkedToBy)
		SetGlobal("M8MakeNimph", "LOCALS", 3)
	~ EXIT
END


IF ~~ BEGIN clnf_ex
	SAY @69 /* ~... .     .    ,     .~ */
	IF ~PartyHasItem("CLCK07")~  GOTO clnf_trief
	IF ~!PartyHasItem("CLCK07")~ GOTO clnf_ex1
END


IF ~~ BEGIN clnf_ex1
	SAY @70 /* ~ ,   .~ */
	=
	@71 /* ~,     -     .   .~ */
	=
	@72 /* ~,    .  .~ */
	IF ~~ DO ~
		AddexperienceParty(200) // using trief ability & hide nimph cloack
		TakePartyItem("MISC51")
		SetGlobal("M8MakeNimph","LOCALS",2)
		SetGlobalTimer("M8Make","LOCALS",ONE_DAY)
	~ EXIT
END


// trief detect

IF ~~ BEGIN clnf_trief
	SAY @73 /* ~. ...     ?~ */
	=
	@74 /* ~     ! !!!~ */
	IF ~~ DO ~
		SetGlobal("M8MakeNimph","LOCALS",5)
		ReputationInc(-1)
		ActionOverride("Ordulinian", Enemy())
		Enemy()
	~EXIT
END



//
// make robe
//


// ready

IF WEIGHT #1 ~GlobalTimerExpired("M8Make","LOCALS") Global("M8MakeRobe","LOCALS",2)~ BEGIN robe_ok
	SAY @14 /* ~  ,    .  ,     ,    ,     .~ */
	IF ~~ DO ~
		GiveItemCreate("m8clk02",LastTalkedToBy,0,0,0) 
		SetGlobal("M8MakeRobe","LOCALS",3)
	~ EXIT
END


// from 0.3:

IF ~~  BEGIN robe_ex
	SAY @15 /* ~      ,        .      ,          10.000     -  . ?~ */
	++ @16 /* ~      .~ */
		DO ~SetGlobal("M8MakeRobe","LOCALS",1)~ + robe_ex1
	++ @17 /* ~   .~ */
		DO ~SetGlobal("M8MakeRobe","LOCALS",3)~ + robe_ex2
END

IF ~~  BEGIN robe_ex1
	SAY @18 /* ~   .  .~ */
	IF ~~ EXIT
END

IF ~~  BEGIN robe_ex2
	SAY @19 /* ~ .   .~ */
	IF ~~ EXIT
END


// has robes

IF ~~ BEGIN robe_bld
	SAY @20 /* ~,  . ,   ,  ,       .~ */
	IF ~~ DO~
		TakePartyGold(10000) 
		TakePartyItem("clck09")
		TakePartyItem("clck10") 
		TakePartyItem("clck11") 
		TakePartyItem("clck12") 
		TakePartyItem("clck13") 
		TakePartyItem("clck14")
		SetGlobal("M8MakeRobe","LOCALS",2)
		SetGlobalTimer("M8Make","LOCALS",TWO_DAYS)
	~ EXIT
END



//
// make cloack
//


// ready

IF WEIGHT #1 ~GlobalTimerExpired("M8Make","LOCALS") Global("M8MakeClsk","LOCALS",2)~ BEGIN clsk_ok
	SAY @21 /* ~  ,    .  ,   ?   ,   ,  ,   .~ */
	IF ~~ DO ~
		GiveItemCreate("m8clk01",LastTalkedToBy,0,0,0) 
		SetGlobal("M8MakeClsk","LOCALS",3)
	~ EXIT
END


// first talk

IF ~~ BEGIN clsk_ex
	SAY @22 /* ~...  ...    ? ... -...~ */
	IF ~Dead("KIRINHALE")~  GOTO clsk_ex1
	IF ~!Dead("KIRINHALE")~ GOTO clsk_ex2
END


IF ~~ BEGIN clsk_ex1
	SAY @23 /* ~,    .  -   .~ */
	=
	@24 /* ~,  ,    :       .~ */
	=
	@25 /* ~ ,   ,  ,     .    , ... ... ... .~ */
	=
	@26 /* ~      -     ...~ */
	=
	@27 /* ~,   -   ...    ,   ...~ */
	=
	@28 /* ~ ,     -    , , ...   ,      .~ */
	IF ~~ DO ~SetGlobal("M8MakeClsk","LOCALS",3)~ EXIT
END


IF ~~ BEGIN clsk_ex2
	SAY @29 /* ~  ...      .   ... ,  ...  ,     ,      .  -   ?~ */
	++ @30 /* ~    ~ */ + clsk_ex3
	+~OR(2)
		Global("HelpPheirkas","GLOBAL",1)
		PartyHasItem("clck08")
	~+ @50 /* ~      .    ,    ...    .  ,    ?~ */ + clsk_ex6
	+~PartyHasItem("clck08")~+ @51 /* ~... -    ,     ...    .  ,    ?~ */ + clsk_alg
END

IF ~~ BEGIN clsk_ex3
	SAY @31 /* ~   .~ */
	IF ~~ GOTO clsk_ex4
END


IF ~~ BEGIN clsk_ex4
	SAY @32 /* ~       .        ,        . ,       -       .~ */
	=
	@33 /* ~ ,   - 7000       . ,   .   ,          ... , , 1000 .     ?~ */
	+~PartyGoldGT(6999)~+ @34 /* ~,   .    ?~ */ + clsk_bld
	++ @35 /* ~ , ...    !~ */ + clsk_trade1
	++ @36 /* ~     ,   ,   - .~ */ + clsk_trade2
	++ @16 /* ~      .~ */ DO ~SetGlobal("M8MakeClsk","LOCALS",4)~ + 7
	++ @37 /* ~  ?!    ,   ?!~ */ + clsk_ex5
END

IF ~~ BEGIN clsk_ex5
	SAY @38 /* ~ ,  .   . ,  ,       .~ */
	IF ~~ DO ~SetGlobal("M8MakeClsk","LOCALS",5)~ EXIT
END

IF ~~ BEGIN clsk_ex6
	SAY @52 /* ~. ,     .~ */
	IF ~~ GOTO clsk_ex4
END



// clck08 check

IF ~~ BEGIN clsk_alg
	SAY @53 /* ~ ...    ?..~ */
	= 
	@54 /* ~  ...    .       .~ */
	=
	@55 /* ~      . ,   ,     .~ */
	=
	@56 /* ~,         ... , ,  1000 .     ?~ */
	++ @35 + clsk_trade1
	++ @36 + clsk_trade2
	++ @16 DO ~SetGlobal("M8MakeClsk","LOCALS",5)~ + 7
END


// next talk / trade

IF ~~ BEGIN clsk_trade
	SAY @39 /* ~  .~ */
	++ @40 /* ~   . 1000 ,   ?~ */ + clsk_trade1
	++ @41 /* ~  ,   - .~ */ + clsk_trade2
	+~Global("M8MakeClsk","LOCALS",4) PartyGoldGT(6999)~+ @42 /* ~,       .     ?~ */ + clsk_bld
END


IF ~~ BEGIN clsk_trade1
	SAY @43 /* ~,  .      ,  . ,   .~ */
	IF ~~ DO ~
		GiveGoldForce(1000) 
		TakePartyItem("misc2o") 
		SetGlobal("M8MakeClsk","LOCALS",3)
	~ EXIT
END


IF ~~ BEGIN clsk_trade2
	SAY @44 /* ~-...~ */
	IF ~Race(LastTalkedToBy(),DWARF) Gender(LastTalkedToBy(),MALE)~ GOTO clsk_trade3a
	IF ~Race(LastTalkedToBy(),DWARF) Gender(LastTalkedToBy(),FEMALE)~ GOTO clsk_trade3b
	IF ~!Race(LastTalkedToBy(),DWARF)~ GOTO clsk_trade3c
END



IF ~~ BEGIN clsk_trade3a 
	SAY @45 /* ~,      ...     , ...~ */
	IF ~~ GOTO clsk_trade4
END

IF ~~ BEGIN clsk_trade3b
	SAY @46 /* ~,      ...       ...~ */
	IF ~~ GOTO clsk_trade4
END

IF ~~ BEGIN clsk_trade3c
	SAY @47 /* ~-...    ,        ? ?.. , ...~ */
	IF ~~ GOTO clsk_trade4
END


IF ~~ BEGIN clsk_trade4
	SAY @48 /* ~ ,     .   .~ */
	IF ~~ DO ~
		GiveGoldForce(2000) 
		TakePartyItem("misc2o") 
		SetGlobal("M8MakeClsk","LOCALS",3)
	~ EXIT
END


// build

IF ~~ BEGIN clsk_bld
	SAY @20 /* ~,  . ,   ,  ,       .~ */
	IF ~~ DO~
		TakePartyGold(7000)
		TakePartyItem("misc2o") 
		SetGlobal("M8MakeClsk","LOCALS",2)
		SetGlobalTimer("M8Make","LOCALS",TWO_DAYS)
	~ EXIT
END


END
